This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 164592 - unable to conform to lsb-tcl
unable to conform to lsb-tcl
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tcl (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lawrence Lim
:
Depends On:
Blocks: 145007
  Show dependency treegraph
 
Reported: 2005-07-28 20:51 EDT by Lawrence Lim
Modified: 2014-03-25 20:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 20:36:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Download for Step of the Procedure (2.25 MB, application/x-tar)
2005-07-28 20:54 EDT, Lawrence Lim
no flags Details

  None (edit)
Description Lawrence Lim 2005-07-28 20:51:22 EDT
Description of problem:
Tested RHEL4's tcl against lsb-tcl and noticed a few errors. Please see the
steps to reproduce for more details.

Version-Release number of selected component (if applicable):
tcl-8.4.7-2

How reproducible:
Always

Steps to Reproduce:
1. Download the lsb-tcl application package that corresponds to the LSB version
and processor architecture

2. Install package on system. Example command line:

rpm -ivh lsb-tcl-8.4.6-1.lsb3.i486.rpm

      NOTE: Application MUST be installed without use of --nodeps option
      - Expected result: application should be installed to

/opt/lsb/appbat

3. Run the command: useradd -m tcl4lsb to create a user and its home directory
for the tcl tests.
4. Run the command: su - tcl4lsb to run tests as a non-root user.
5. Change to /tmp directory and create a new directory called lsb-tcl-tests
6. Change to the /tmp/lsb-tcl-tests directory
7. Download the set of tests for tcl here: tcl8.4.6-tests.tar
8. Run the command: tar xvf tcl8.4.6-tests.tar  to extract tests into the
/tmp/lsb-tcl-tests (current) directory

9. Run the command: /opt/lsb/appbat/bin/tclsh8.4 all.tcl | tee testoutput
10. Run the command: more testoutput  to view the output file. Once open, search
for the string "Tests ended". 


Actual results:
Tests ended at \u56db  7\u6708 28 14\u664250\u520649\u79d2 EST 2005
all.tcl:        Total   9525    Passed  7043    Skipped 2480    Failed  2
Sourced 128 Test Files.
Files with failing tests: httpold.test tcltest.test

Expected results:
All the tests will have executed with no failures and the entry in the file
should look like this (the exact number of tests passed and skipped is not
critical):

Tests ended at Thu Jun 30 17:30:41 CDT 2004
all.tcl:   Total  9525   Passed  7080   Skipped  2445   Failed  0

Additional info:
The lsb-tcl rpm (lsb-tcl-8.4.6) can be downloaded from the following URL:
http://www.linuxbase.org/download/#app-battery
Comment 1 Lawrence Lim 2005-07-28 20:54:11 EDT
Created attachment 117258 [details]
Download for Step of the Procedure
Comment 3 Lawrence Lim 2005-08-02 20:36:13 EDT
Nope. This is more likely a test suite bug for LSB. Bug has been filed upstream
and maintainer has accepted the bug and currently working on it.

http://bugs.linuxbase.org/show_bug.cgi?id=1060

Closing bug for now.

Note You need to log in before you can comment on or make changes to this bug.